<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="EUC-JP" omit-xml-declaration="yes" />
	
	<!-- 一覧用・要約表示 -->
	<xsl:template match="/entrylist">
	
		<!-- ナビゲーション（上） -->
		<xsl:for-each select="navi">
		
			<div class="pagenavigation">
			
				<xsl:for-each select="prev"><a href="{@href}">&lt;&lt;</a></xsl:for-each>
				<xsl:if test="not(prev)">&lt;&lt;</xsl:if>
				
				&#160;<xsl:value-of select="@position" />ページ&#160;
				
				<xsl:for-each select="next">
					<a href="{@href}">&gt;&gt;</a>
				</xsl:for-each>
				<xsl:if test="not(next)">&gt;&gt;</xsl:if>
				
			</div>
			
		</xsl:for-each>
		
		<div class="articlelist">
		
		<!-- ここから1件分 -->
		<xsl:for-each select="entry">
					<div class="article">
					
						<!-- 見出しの出力 -->
						<div class="subject"><a href="article.php{@href}"><xsl:value-of select="title" disable-output-escaping="yes" /></a></div>
						
						<!-- 最終更新日の出力（「&#160;」は、半角空白を強制的に表示する、文字コードによる実体参照） -->
						<div class="date">最終更新日&#160;<xsl:value-of select="@year" />年<xsl:value-of select="@month" />月<xsl:value-of select="@day" />日&#160;<xsl:value-of select="@hour" />時<xsl:value-of select="@minute" />分</div>
						
						<!-- 写真の表示（幅80に縮小して表示） -->
						<xsl:if test="photo/text()"><!-- 写真の中身が無い場合のみ表示する -->
							<img src="{photo}&amp;w=80" class="photo" />
						</xsl:if>
						
						<!-- 本文の出力（0文字目～100文字目） -->
						<xsl:value-of select="substring(description/text(), 0, 100)" disable-output-escaping="no" />...
						<div class="align_right"><a href="article.php{@href}" class="navi_next">続きを読む</a></div>
						
						<div class="clearboth" />
						
					</div>
					
					
		</xsl:for-each>
		
		</div>
		
		<!-- ナビゲーション（下） -->
		<xsl:for-each select="navi">
			<div class="align_right">
			<div class="pagenavigation">
			
				<xsl:for-each select="prev"><a href="{@href}">&lt;&lt;</a></xsl:for-each>
				<xsl:if test="not(prev)">&lt;&lt;</xsl:if>
				
				&#160;<xsl:value-of select="@position" />ページ&#160;
				
				<xsl:for-each select="next">
					<a href="{@href}">&gt;&gt;</a>
				</xsl:for-each>
				<xsl:if test="not(next)">&gt;&gt;</xsl:if>
				
			</div>
			</div>
			
		</xsl:for-each>		
		
	</xsl:template>
</xsl:stylesheet>