<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="EUC-JP" omit-xml-declaration="yes" />
	
	<!-- 一覧用・トップページへの表示 -->
	<xsl:template match="/entrylist">
	
		<div class="reviewlist">
		
		<!-- ここから１件分 -->
		<xsl:for-each select="entry">
		
							<div class="review">
								<!-- 画像があれば表示。無ければNO IMAGEを表示。 -->
								<xsl:if test="photo/text()">
									<img src="{photo}&amp;w=50" class="reviewphoto"/>
								</xsl:if>
								<xsl:if test="not(photo/text())">
									<img src="starter.resources/photo_noimage.gif" width="50" height="70" alt="no image" class="reviewphoto" />
								</xsl:if>
								
								<!-- カテゴリ＆タイトル＆星数（URLがあればタイトルからリンクする） -->
								<div class="title">
									<!-- URL有りの場合（リンク付き） -->
									<xsl:if test="url/text()">
										<a href="{url}" target="_blank">
											[
											<xsl:if test="category='book'">Book</xsl:if>
											<xsl:if test="category='cdvideo'">CD/Video</xsl:if>
											<xsl:if test="category='other'">Other</xsl:if>
											]
											<xsl:value-of select="title" />
										</a>
									</xsl:if>
									
									<!-- URL無しの場合（リンク無し） -->
									<xsl:if test="not(url/text())">
										[
										<xsl:if test="category='book'">Book</xsl:if>
										<xsl:if test="category='cdvideo'">CD/Video</xsl:if>
										<xsl:if test="category='other'">Other</xsl:if>
										]
										<xsl:value-of select="title" />
									</xsl:if>
									
									<!-- 星数 -->
									<span class="stars">
										<xsl:if test="stars='1'">★☆☆☆☆</xsl:if>
										<xsl:if test="stars='2'">★★☆☆☆</xsl:if>
										<xsl:if test="stars='3'">★★★☆☆</xsl:if>
										<xsl:if test="stars='4'">★★★★☆</xsl:if>
										<xsl:if test="stars='5'">★★★★★</xsl:if>
									</span>
								</div>
								
								<!-- 商品説明 -->
								<div class="description">
									<xsl:value-of select="substring(description,0,50)" disable-output-escaping="no" /> ...
								</div>
								
								<!-- 更新日時 -->
								<div class="date"><xsl:value-of select="@year" />年<xsl:value-of select="@month" />月<xsl:value-of select="@day" />日&#160;<xsl:value-of select="@hour" />時<xsl:value-of select="@minute" />分&#160;更新</div>
								
								<!-- float解除 -->
								<div class="clearboth"></div>
								
								<!-- 続きへのリンク -->
								<div class="align_right"><a href="review.php{@href}" class="navi_next">詳細</a></div>
								
							</div>
		
		</xsl:for-each>
		
		</div>
		
		<!-- 全ての記事へのリンク -->
		<div class="align_right"><a href="reviewlist.php" class="navi_next">全てのレビューを読む</a></div>
		
	</xsl:template>
</xsl:stylesheet>