<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="EUC-JP" omit-xml-declaration="yes" />
	
	<!-- 1件用・ページ全体表示 -->
	<xsl:template match="/entry">

				<!-- レイアウト用ブロック単位で出力 -->
				<div class="block">
				
					<!-- ブロックヘッダに見出しを出力 -->
					<div class="blockheader_{blockcolor}">
						<div class="blockheadertitle"><xsl:value-of select="caption" /></div>
					</div>
					
					<!-- ブロック本文に本文を出力 -->
					<div class="blockcontents">
						<!-- 写真があれば写真を出力（幅200） -->
						<xsl:if test="photo/text()"><!-- 写真の中身が無い場合のみ表示する -->
							<!-- 元サイズの写真を別ウィンドウで開くようにする -->
							<a href="{photo}" alt="{photo/@alt}" target="_blank"><img src="{photo}&amp;w=200" class="photo" /></a>
						</xsl:if>
						
						<!-- 本文を表示 -->
						<xsl:value-of select="contentbody" disable-output-escaping="yes" />
						
					</div>
					
					
				
				</div>
					
	</xsl:template>
</xsl:stylesheet>